Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop
Class ReflectiveAspectBinder

    java.lang.Object
      org.jboss.aop.ReflectiveAspectBinder

public class ReflectiveAspectBinder
extends Object

comment

Author:
  Bill Burke

Field Summary
`protected Advisor` | `advisor`
`protected HashSet` | `aspects`
`protected Class` | `clazz`
`protected HashMap` | `constructorAdvices`
`protected HashMap` | `fieldReadAdvices`
`protected HashMap` | `fieldWriteAdvices`
`protected HashMap` | `methodAdvices`

Constructor Summary
`ReflectiveAspectBinder(Class clazz, Advisor advisor)`

Method Summary
`protected void` | `bindConstructorAdvice(Constructor mi)`
`protected void` | `bindConstructorAdvices()`
`protected void` | `bindFieldAdvices()`
`protected void` | `bindFieldGetAdvice(Field mi)`
`protected void` | `bindFieldSetAdvice(Field mi)`
`protected void` | `bindMethodAdvice(Method mi)`
`protected void` | `bindMethodAdvices(Class superClass)`
`HashSet` | `getAspects()`
`Class` | `getClazz()`
`HashMap` | `getConstructorAdvices()`
`HashMap` | `getFieldReadAdvices()`
`HashMap` | `getFieldWriteAdvices()`
`HashMap` | `getMethodAdvices()`
`protected boolean` | `matches(AnnotationIntroduction ai, Object element)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### clazz

    protected Class clazz

### aspects

    protected HashSet aspects

### methodAdvices

    protected HashMap methodAdvices

### constructorAdvices

    protected HashMap constructorAdvices

### fieldReadAdvices

    protected HashMap fieldReadAdvices

### fieldWriteAdvices

    protected HashMap fieldWriteAdvices

### advisor

    protected Advisor advisor

Constructor Detail

### ReflectiveAspectBinder

    public ReflectiveAspectBinder(Class clazz,
                                  Advisor advisor)

Method Detail

### getClazz

    public Class getClazz()

### getAspects

    public HashSet getAspects()

### getMethodAdvices

    public HashMap getMethodAdvices()

### getConstructorAdvices

    public HashMap getConstructorAdvices()

### getFieldReadAdvices

    public HashMap getFieldReadAdvices()

### getFieldWriteAdvices

    public HashMap getFieldWriteAdvices()

### bindMethodAdvices

    protected void bindMethodAdvices(Class superClass)

### bindConstructorAdvices

    protected void bindConstructorAdvices()

### bindFieldAdvices

    protected void bindFieldAdvices()

### matches

    protected boolean matches(AnnotationIntroduction ai,
                              Object element)

### bindMethodAdvice

    protected void bindMethodAdvice(Method mi)

### bindConstructorAdvice

    protected void bindConstructorAdvice(Constructor mi)

### bindFieldGetAdvice

    protected void bindFieldGetAdvice(Field mi)

### bindFieldSetAdvice

    protected void bindFieldSetAdvice(Field mi)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.